# Get-RASAVDDefaultSettings

### NAME

Get-RASAVDDefaultSettings\ <br>

### SYNOPSIS

Retrieves default settings used to configure AVD.\ <br>

### SYNTAX

Get-RASAVDDefaultSettings \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDDefaultSettings.html#SiteId)] *\<uint>*] -[DefObjType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDDefaultSettings.html#DefObjType) {AVDMultiSessionDefaultSettings | AVDSingleSessionDefaultSettings} \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDDefaultSettings.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves default settings used to configure AVD.\
\
Default settings are defined on a site level and are applied to a AVD when it is initially created.\
\
This is an Experimental feature which is subject to slight changes.\ <br>

### PARAMETERS

\
-**SiteId \<uint>**\
Site ID from which to retrieve the defaults.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**DefObjType <**[**AVDDefObjType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDDefObjType.html)**>**\
The Default Object Type\
\
Possible values: AVDMultiSessionDefaultSettings, AVDSingleSessionDefaultSettings\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[AVDDefaultSettings](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDDefaultSettings.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASAVDDefaultSettings -DefObjType AVDSingleSessionDefaultSettings\
\
Retrieves default Personal AVD settings from the specified site.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASAVDDefaultSettings -DefObjType AVDMultiSessionDefaultSettings\
\
Retrieves default Pooled AVD settings from the specified site.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavddefaultsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
